/*!
 * @eslint-sets/eslint-config-react v2.1.0
 * Eslint config sets for react
 * (c) 2021-2022 saqqdy<https://github.com/saqqdy> 
 * Released under the MIT License.
 */
'use strict';

const config = {
  plugins: [
    "react",
    "react-hooks"
  ],
  extends: [
    "plugin:react/recommended",
    "@eslint-sets/eslint-config-basic",
    "prettier"
  ],
  rules: {
    "jsx-quotes": ["error", "prefer-double"],
    "react/react-in-jsx-scope": "off"
  },
  globals: {
    __DEV__: false,
    h: true,
    window: true,
    define: true,
    history: true,
    location: true,
    $: true,
    process: true
  },
  overrides: [
    {
      files: ["**/__tests__/*.{j,t}s?(x)", "**/*.spec.{j,t}s?(x)"],
      env: {
        mocha: true,
        jest: true
      },
      rules: {
        "no-console": "off"
      }
    }
  ],
  settings: {
    react: {
      version: "17.0.0"
    }
  }
};

module.exports = config;
